---
replicaCount: {{ secrets.ex_book_admin_api.env[secrets_ex_book_admin_api_env]['helm']['replicaCount']|default(1) }}

image:
  repository: "{{ secrets.ex_book_admin_api.env[secrets_ex_book_admin_api_env]['helm']['image']['repository']|default(helm_service_name) }}"
  pullPolicy: "{{ secrets.ex_book_admin_api.env[secrets_ex_book_admin_api_env]['helm']['image']['pullPolicy']|default('IfNotPresent') }}"
  tag: "{{ helm_image_tag[secrets_ex_book_admin_api_env] }}"

nameOverride: "{{ helm_service_name }}"
fullnameOverride: "{{ helm_service_name }}"

volumeMounts:
  - name: "services-{{ helm_service_name }}-secrets"
    mountPath: /secrets
    readOnly: true

volumes:
  - name: "services-{{ helm_service_name }}-secrets"
    secret:
      secretName: "services-{{ helm_service_name }}-secrets"

podRecreate: {{ secrets.ex_book_admin_api.env[secrets_ex_book_admin_api_env]['helm']['podRecreate'] }}

{% if secrets_ex_book_admin_api_env == 'k3s' %}
containers:
  - name: ex-book-admin-api-python-flask-restx-db
    image: docker.io/bitnami/mongodb:4.4
    imagePullPolicy: Always
    env:
      - name: MONGODB_ROOT_PASSWORD
        value: vEoZs9tEk3jLqS76
      - name: MONGODB_USERNAME
        value: ex-book-admin-api-go
      - name: MONGODB_PASSWORD
        value: 2vQU45haQCnDS8sO
      - name: MONGODB_DATABASE
        value: ex-book-admin-api-go
{% endif -%}

secret:
  enabled: true
  data:
    local.env.yaml: {{ helm_secret_data | string | b64encode }}
